import React from 'react';
import { useInitializeCentralSlotStore } from '@/src/store/centralSlotStore';
import { useInitializeCentralProductStore } from '@/src/store/centralProductStore';

interface CentralStoreInitializerProps {
  children: React.ReactNode;
}

export default function CentralStoreInitializer({ children }: CentralStoreInitializerProps) {
  useInitializeCentralSlotStore();
  useInitializeCentralProductStore();
  
  return <>{children}</>;
}
